Subject: Re: mpc 860 boot linux2.6.23 problem

From: Scott Wood <[email-masked]>
Date: Wed, 17 Oct 2007 14:15:28 -0500

Jochen Friedrich wrote:
> Hi Scott,
> 
>> I just pulled Wolfgang's latest u-boot tree, and I don't see any fdt 
>> or ft_ calls in cpu/mpc8xx, nor in any 8xx board that I recognize.
>>
>> I may have been unclear in that I was talking about device tree 
>> support in u-boot, not the kernel.  Obviously there's device tree 
>> support in the kernel, as evidenced by my reference to using cuImage.
>>   
> 
> Can u-boot work on dtb trees embedded in an cuImage, at all?

No.  If you want that, you need to use a normal uImage.

> How would command line arguments work without a chosen
> node?

The bad old way: argument registers and the bd_t.  The bootwrapper fills 
in /chosen/bootargs and other things based on that.

It's just for compatibility; use uImage if you can.

> I tried to boot a mpc823 using the 3 argument mboot command.
> u-boot processed the dtb and added the chosen node correctly,
> however the kernel immediately oopsed with unable to access
> virtual memory when accessing the dtb memory as this memory
> was not contained in the kernel MMU space.

Make sure your version of u-boot understands the new bindings for things 
like brg frequency, or (less preferred) set it manually in your dts.

-Scott